<?php

/**
 * Implements hook_views_data_alter().
 */
function scheduled_actions_node_views_data_alter(&$data) {

  $data['scheduled_actions']['table']['join']['node'] = array(
    'left_field' => 'nid',
    'field'      => 'entity_id',
    // When joining with the node table, ensure that we prevent false matches
    // for non-node entities with identical IDs.
    'extra'      => array(
      array(
        'field' => 'type',
        'value' => 'node',
      ),
    ),
  );
}
